#自幂数判断函数
def is_zimi(x):
    weishu=[]
    count=0
    num=x
    #拆位求解
    while x!=0:
        weishu.append(x%10)
        x=x//10
        count+=1
    #位数求和
    sum=0
    for i in weishu:
        sum+=pow(i,count)
    #自幂数判断
    if sum==num:
        return "T"
    else:
        return "F"

#输入多个数字
numbers=[]
n=int(input())
for i in range(n):
    numbers.append(int(input()))
#循环判断是否是自幂数
for i in numbers:
    print(is_zimi(i))